<?php

namespace Koneko\VuexyAdminModule\App\Http\View\Composers;

use Illuminate\View\View;
use Koneko\VuexyAdminModule\App\Services\VuexyAdminService;

class VuexyTemplateComposer
{
    protected $vuexyAdminService;

    public function __construct(VuexyAdminService $vuexyAdminService)
    {
        $this->vuexyAdminService = $vuexyAdminService;
    }

    public function compose(View $view)
    {
        $view->with([
            'vuexyMenu'          => $this->vuexyAdminService->getMenu(),
            'vuexySearch'        => $this->vuexyAdminService->getSearch(),
            'vuexyQuickLinks'    => $this->vuexyAdminService->getQuickLinks(),
            'vuexyNotifications' => $this->vuexyAdminService->getNotifications(),
            'vuexyBreadcrumbs'   => $this->vuexyAdminService->getBreadcrumbs(),
        ]);
    }
}
