<?php

namespace Koneko\VuexyAdminModule\App\Imports;

use Maatwebsite\Excel\Concerns\WithMultipleSheets;
use Maatwebsite\Excel\Concerns\WithConditionalSheets;


class SatCatalogsImport implements WithMultipleSheets
{
    use WithConditionalSheets;

    public function conditionalSheets(): array
    {
        return [
            'c_FormaPago' => new SATFormaPagoImport(),
            'c_Moneda' => new SATMonedaImport(),
            'c_CodigoPostal_Parte_1' => new SATCodigoPostalImport(),
            'c_CodigoPostal_Parte_2' => new SATCodigoPostalImport(),
            'c_RegimenFiscal' => new SATRegimenFiscalImport(),
            'c_Pais' => new SATPaisImport(),
            'c_UsoCFDI' => new SATUsoCFDIImport(),
            'C_Colonia_1' => new SATColoniaImport(),
            'C_Colonia_2' => new SATColoniaImport(),
            'C_Colonia_3' => new SATColoniaImport(),
            'c_Estado' => new SATEstadoImport(),
            'C_Localidad' => new SATLocalidadImport(),
            'C_Municipio' => new SATMunicipioImport(),
        ];
    }
}
