<div>
    <form id="website-image-logo-settings-card" novalidate="novalidate">
        <div class="card">
            <div class="card-body">
                <h5>Logotipo claro</h5>
                <div class="fv-row mb-4">
                    <input type="file" wire:model="upload_image_logo" id="upload_image_logo" class="form-control" accept="image/*" />
                    @error('upload_image_logo')
                        <span class="text-danger">{{ $message }}</span>
                    @enderror
                </div>
                <div class="mb-8 text-center align-items-center">
                    <div class="justify-content-center align-items-center">
                        <img src="{{ $upload_image_logo ? $upload_image_logo->temporaryUrl() : asset('storage/' . $website_image_logo) }}">
                    </div>
                </div>
                <h5>Logotipo obscuro</h5>
                <div class="fv-row mb-4">
                    <input type="file" wire:model="upload_image_logo_dark" id="upload_image_logo_dark" class="form-control" accept="image/*" />
                    @error('upload_image_logo_dark')
                        <span class="text-danger">{{ $message }}</span>
                    @enderror
                </div>
                <div class="mb-3 text-center align-items-center">
                    <div class="justify-content-center align-items-center">
                        <img src="{{ $upload_image_logo_dark ? $upload_image_logo_dark->temporaryUrl() : asset('storage/' . $website_image_logo_dark) }}">
                    </div>
                </div>
            </div>
        </div>
        <div>
            {{-- Botones --}}
            <div class="row my-4">
                <div class="col-lg-12 text-end">
                    <button
                        type="button"
                        wire:click="save"
                        class="btn btn-primary btn-save btn-sm mt-2 mr-2 waves-effect waves-light"
                        :disabled="{{ $upload_image_logo === null && $upload_image_logo_dark === null ? 'true' : 'false' }}"
                        data-loading-text="Guardando...">
                        <i class="ti ti-device-floppy mr-2"></i>
                        Guardar cambios
                    </button>
                    <button
                        type="button"
                        wire:click="loadSettings"
                        class="btn btn-secondary btn-cancel btn-sm mt-2 mr-2 waves-effect waves-light"
                        :disabled="{{ $upload_image_logo === null && $upload_image_logo_dark === null ? 'true' : 'false' }}">
                        <i class="ti ti-rotate-2 mr-2"></i>
                        Cancelar
                    </button>
                </div>
            </div>
            {{-- Notifications --}}
            <div class="notification-container" wire:ignore></div>
        </div>
    </form>
</div>
